<ion-header>
    <ion-toolbar>
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>

      <ion-buttons end> 
          <button ion-button right>
              <ion-icon name="md-heart-outline"></ion-icon>
          </button>
          </ion-buttons>

      <ion-buttons end> 
          <button ion-button right (click)="openSoccerFields()">
              <ion-icon name="arrow-forward"></ion-icon>
          </button>
          </ion-buttons>

      <ion-title>كرة القدم</ion-title>
    </ion-toolbar>
  </ion-header>
  
  <ion-content padding>
        <p>mas</p>
          
   <!-- <ion-slides class="image-slider" loop="true" slidesPerView="2">
    <ion-slide *ngFor= "let img of images">
      <img src="assets/imgs/{{img}}" class="thumb-img" imageViewer>
      </ion-slide>
  
    
  </ion-slides> -->
                  <div >
                    <ion-segment [(ngModel)]="ma">
                     
                      <ion-segment-button value="comments">
                        التعليقات
                      </ion-segment-button>
                  
                      <ion-segment-button value="main">
                        الرئيسية
                      </ion-segment-button>
                     
                     
                    <ion-segment-button value="book">
                      حجز
                    </ion-segment-button>
                  </ion-segment>

                  </div>
               
                  <div [ngSwitch]="ma">
                      <ion-list *ngSwitchCase="'comments'">
                          <form #f="ngForm">
                              <ion-item>
                                <ion-label floating>تعليق</ion-label>
                                <ion-textarea
                                  [(ngModel)]="content"
                                  name="content"
                                  required
                                ></ion-textarea>
                              </ion-item>
                              <div padding>
                              <button ion-button block
                                type="submit"
                                full
                                [disabled]="f.valid === false"
                                (click)="doComment(f.value,$event)"
                              >علق</button>
                              </div>
                            </form>
                            </ion-list>
                          </div>
            
                          

                          
                          <div [ngSwitch]="ma">
                              <ion-list *ngSwitchCase="'book'">
                                  <form #f="ngForm">
                                      <ion-item>
                                          <ion-label>تاريخ البداية</ion-label>
                                          <ion-datetime displayFormat="MM DD, YYYY"
                                           pickerFormat="MM DD, YYYY"
                                            [(ngModel)]="endDate"></ion-datetime>
                                        </ion-item>
                                   
                                        <ion-item>
                                            <ion-label>زمن البداية</ion-label>
                                            <ion-datetime displayFormat="A"
                                             pickerFormat="A"
                                              [(ngModel)]="startTime"></ion-datetime>
                                          </ion-item>
                                     
                                   
                                        <ion-item>
                                            <ion-label>تاريخ النهاية</ion-label>
                                            <ion-datetime displayFormat="MM DD, YYYY"
                                             pickerFormat="MM DD, YYYY"
                                              [(ngModel)]="endDate"></ion-datetime>
                                          </ion-item>
                                  


                                          <div padding>
                                      <button ion-button
                                        type="submit"
                                        full
                                        [disabled]="f.valid === false"
                                        (click)="doComment(f.value,$event)"
                                    >دفع كامل</button>
                                  
                                    <button ion-button 
                                    type="submit"
                                    full
                                    [disabled]="f.valid === false"
                                    (click)="doComment(f.value,$event)"
                                >دفع عربون</button>                       
                              </div>
                            </form>
                                    </ion-list>   
                                  </div>


                                  <div [ngSwitch]="ma">
                                      <ion-list *ngSwitchCase="'main'">
                                    
                                          <div padding>
                                          <p>اسم المحل:</p>
                                          <p>العنوان: </p>
                                          <p>المواصفات</p>
                                          <p></p>

                                        </div>
                                          <!-- <div class="map-container">
                                              <div id="mapId" style="width: 100%; height: 100%">
                                              </div>
                                            </div> -->
                                            </ion-list>
                                          </div>
                  
     </ion-content>
      
